Connect an AI assistant
Your AI assistant can read this documentation directly, so it answers from the current content instead of guessing. Add one of the servers below to your client — they use the Model Context Protocol (MCP). Each one covers a different body of content, so add the one you need.
The catalog did not load. Refresh the page to try again.
Loading…
{{server.name}}
{{server.summary}}
{{server.documentCount.toLocaleString()}} pages Not published to this site
- Name
-
{{server.name}} - URL
-
{{mcpServerUrl(server.path)}}
| Tool | What it does |
|---|---|
{{tool.name}} |
{{part.text}}{{part.text}} |
How can we help?
Searching in {{docApp.searchFilterBySpecificBookTitle}}
Searching for:
{{docApp.searchResultFilteredItems.length}} results for:
{{docApp.currentResultsSearchText}}
in {{docApp.searchFilterBySpecificBookTitle}}
Found {{docApp.searchResponse.totalResultsAvailable}} matches. Showing the top {{docApp.searchResponse.results ? docApp.searchResponse.results.length : 0}}. Use a more specific search to further narrow down the results.
No documentation pages match this search, so all content types are shown.
Most matches are in {{docApp.searchDocTypeRescue.best.name}}.
There is no book with the ID "{{docApp.searchBookRescue.bid}}", so the book filter from this link was ignored and results from all books are shown.
You have an odd number of " characters in your search terms - each one needs closing with a matching " character!
-
{{resultItem.title}} {{resultItem.matchedBy === 'semantic' ? 'semantic' : (resultItem.matchedBy === 'both' ? 'keyword + semantic' : 'keyword')}}
{{resultItem.url}}
{{docApp.libraryHomeViewProduct.title || docApp.libraryHomeViewProduct.id}}
{{docApp.libraryHomeViewProduct.description}}
{{group.title || group.id}}
{{group.description}}
Application API / addCard
- Article
- 5 minutes to read
Operation Information
- Application Reference:
com.hornbill.boardmanager - Scope:
Global - Class:
Application - Required Privilege Level:
user - Required Rights: Group A - canAddTo
Description
Add a card to the board
Request Parameters
The addCard API takes the following input parameters.
Note
When sending a JSON request payload to the API, the order of parameters is not significant. However, for XML request payloads, parameters must be provided in the exact order specified in this documentation to comply with input validation requirements.
| Name | Type | Required | Description |
|---|---|---|---|
boardId |
xs:integer |
Yes | The board Id |
laneId |
xs:integer |
No | The Lane Id |
title |
xs:string |
No | Card Title |
content |
xs:string |
No | Display contents of card |
order |
xs:integer |
No | order card appears in lane |
column |
xs:string |
No | Which column within the lane a card will appear (if the lane has multiple columns) |
type |
xs:string |
Yes | Card Type that define what properties a card can have (eg card, note, seperator). Not different applications can define different types |
value |
xs:decimal |
No | A value for the card (eg scrum points, cost etc) |
progress |
xs:integer |
No | Progress of card from 0-100 |
key |
xs:string |
No | The key if the card is related to another object |
link |
xs:string |
No | link to open from card |
members |
xs:string |
No | List of member URN to add |
statusName |
xs:string |
No | Status for Card |
statusIcon |
xs:string |
No | Icon for status |
statusInfo |
xs:string |
No | Status info of the card |
checklist |
xs:string |
No | A checklist to add to the card |
style |
xs:string |
No | Custom style of card |
tagIds |
xs:integer |
No | Tags data to add to card |
activitystream |
xs:string |
No | The activitystream to post updates too |
custom1 |
xs:string |
No | The first custom field in board manager |
custom2 |
xs:string |
No | The second custom field in board manager |
custom3 |
xs:string |
No | The third custom field in board manager |
custom4 |
xs:string |
No | The fourth custom field in board manager |
Response Parameters
| Name | Type | Description |
|---|---|---|
id |
xs:integer |
Id of the newly created card |
enteredOn |
xs:dateTime |
Time set for when card entered |
log |
xs:string |
Log message alerting any possible problems |
Code Examples
curl -X POST 'https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager' \
-H 'Authorization: ESP-APIKEY yourHornbillAPIKey' \
-H 'Content-Type: application/json' \
-d '{"@service":"apps/com.hornbill.boardmanager","@method":"addCard","params":{"boardId":1,"laneId":1,"title":"xs:string","content":"xs:string","order":1,"column":"xs:string","type":"xs:string","value":1.23,"progress":1,"key":"xs:string","link":"xs:string","members":"xs:string","statusName":"xs:string","statusIcon":"xs:string","statusInfo":"xs:string","checklist":"xs:string","style":"xs:string","tagIds":1,"activitystream":"xs:string","custom1":"xs:string","custom2":"xs:string","custom3":"xs:string","custom4":"xs:string"}}'
package main
import (
"fmt"
apiLib "github.com/hornbill/goApiLib"
)
func main() {
hornbillAPI := apiLib.NewXmlmcInstance("yourinstanceid")
hornbillAPI.SetAPIKey("yourHornbillAPIKey")
hornbillAPI.SetJSONResponse(true)
hornbillAPI.SetParam("boardId", "xs:integer")
hornbillAPI.SetParam("laneId", "xs:integer")
hornbillAPI.SetParam("title", "xs:string")
hornbillAPI.SetParam("content", "xs:string")
hornbillAPI.SetParam("order", "xs:integer")
hornbillAPI.SetParam("column", "xs:string")
hornbillAPI.SetParam("type", "xs:string")
hornbillAPI.SetParam("value", "xs:decimal")
hornbillAPI.SetParam("progress", "xs:integer")
hornbillAPI.SetParam("key", "xs:string")
hornbillAPI.SetParam("link", "xs:string")
hornbillAPI.SetParam("members", "xs:string")
hornbillAPI.SetParam("statusName", "xs:string")
hornbillAPI.SetParam("statusIcon", "xs:string")
hornbillAPI.SetParam("statusInfo", "xs:string")
hornbillAPI.SetParam("checklist", "xs:string")
hornbillAPI.SetParam("style", "xs:string")
hornbillAPI.SetParam("tagIds", "xs:integer")
hornbillAPI.SetParam("activitystream", "xs:string")
hornbillAPI.SetParam("custom1", "xs:string")
hornbillAPI.SetParam("custom2", "xs:string")
hornbillAPI.SetParam("custom3", "xs:string")
hornbillAPI.SetParam("custom4", "xs:string")
responseBody, apiError := hornbillAPI.Invoke("apps/com.hornbill.boardmanager", "addCard")
if apiError != nil {
fmt.Println(apiError)
return
}
fmt.Println(responseBody)
}
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager";
const payload = {
"@service": "apps/com.hornbill.boardmanager",
"@method": "addCard",
"params": {
"boardId": 1,
"laneId": 1,
"title": "xs:string",
"content": "xs:string",
"order": 1,
"column": "xs:string",
"type": "xs:string",
"value": 1.23,
"progress": 1,
"key": "xs:string",
"link": "xs:string",
"members": "xs:string",
"statusName": "xs:string",
"statusIcon": "xs:string",
"statusInfo": "xs:string",
"checklist": "xs:string",
"style": "xs:string",
"tagIds": 1,
"activitystream": "xs:string",
"custom1": "xs:string",
"custom2": "xs:string",
"custom3": "xs:string",
"custom4": "xs:string"
}
};
fetch(endpoint, {
method: 'POST',
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
},
body: JSON.stringify(payload)
}).then(res => res.json())
.then(res => console.log(res));
const axios = require('axios');
const endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager";
const payload = {
"@service": "apps/com.hornbill.boardmanager",
"@method": "addCard",
"params": {
"boardId": 1,
"laneId": 1,
"title": "xs:string",
"content": "xs:string",
"order": 1,
"column": "xs:string",
"type": "xs:string",
"value": 1.23,
"progress": 1,
"key": "xs:string",
"link": "xs:string",
"members": "xs:string",
"statusName": "xs:string",
"statusIcon": "xs:string",
"statusInfo": "xs:string",
"checklist": "xs:string",
"style": "xs:string",
"tagIds": 1,
"activitystream": "xs:string",
"custom1": "xs:string",
"custom2": "xs:string",
"custom3": "xs:string",
"custom4": "xs:string"
}
};
const axiosConfig = {
headers: {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
};
axios.post(endpoint, payload, axiosConfig)
.then((res) => {
console.log("RESPONSE RECEIVED: ", res);
})
.catch((err) => {
console.log("AXIOS ERROR: ", err);
})
$endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager";
$payload = (object) [
'@service' => 'apps/com.hornbill.boardmanager',
'@method' => 'addCard',
'params' => (object) [
'boardId' => 'xs:integer',
'laneId' => 'xs:integer',
'title' => 'xs:string',
'content' => 'xs:string',
'order' => 'xs:integer',
'column' => 'xs:string',
'type' => 'xs:string',
'value' => 'xs:decimal',
'progress' => 'xs:integer',
'key' => 'xs:string',
'link' => 'xs:string',
'members' => 'xs:string',
'statusName' => 'xs:string',
'statusIcon' => 'xs:string',
'statusInfo' => 'xs:string',
'checklist' => 'xs:string',
'style' => 'xs:string',
'tagIds' => 'xs:integer',
'activitystream' => 'xs:string',
'custom1' => 'xs:string',
'custom2' => 'xs:string',
'custom3' => 'xs:string',
'custom4' => 'xs:string',
]
];
$headers = [
'Authorization: ESP-APIKEY yourHornbillAPIKey',
'Content-Type: application/json'
];
$curl = curl_init($url);
curl_setopt($curl, CURLOPT_URL, $endpoint);
curl_setopt($curl, CURLOPT_POST, true);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
curl_setopt($curl, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($curl, CURLOPT_HTTPHEADER, $headers);
$resp = curl_exec($curl);
curl_close($curl);
echo $resp;
$Endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager"
$Body = @{
"@service" = "apps/com.hornbill.boardmanager"
"@method" = "addCard"
params = @{
boardId = "xs:integer"
laneId = "xs:integer"
title = "xs:string"
content = "xs:string"
order = "xs:integer"
column = "xs:string"
type = "xs:string"
value = "xs:decimal"
progress = "xs:integer"
key = "xs:string"
link = "xs:string"
members = "xs:string"
statusName = "xs:string"
statusIcon = "xs:string"
statusInfo = "xs:string"
checklist = "xs:string"
style = "xs:string"
tagIds = "xs:integer"
activitystream = "xs:string"
custom1 = "xs:string"
custom2 = "xs:string"
custom3 = "xs:string"
custom4 = "xs:string"
}
}
$Header = @{
"Authorization" = "ESP-APIKEY yourHornbillAPIKey"
}
$Parameters = @{
Method = "POST"
Uri = $Endpoint
Headers = $Header
Body = ($Body | ConvertTo-Json)
ContentType = "application/json"
}
Invoke-RestMethod @Parameters
import requests
import json
endpoint = "https://api.hornbill.com/yourinstanceid/xmlmc/apps/com.hornbill.boardmanager"
headers = {
"Authorization": "ESP-APIKEY yourHornbillAPIKey"
}
payload={
"@service":"apps/com.hornbill.boardmanager",
"@method":"addCard",
"params":{
"boardId":"xs:integer",
"laneId":"xs:integer",
"title":"xs:string",
"content":"xs:string",
"order":"xs:integer",
"column":"xs:string",
"type":"xs:string",
"value":"xs:decimal",
"progress":"xs:integer",
"key":"xs:string",
"link":"xs:string",
"members":"xs:string",
"statusName":"xs:string",
"statusIcon":"xs:string",
"statusInfo":"xs:string",
"checklist":"xs:string",
"style":"xs:string",
"tagIds":"xs:integer",
"activitystream":"xs:string",
"custom1":"xs:string",
"custom2":"xs:string",
"custom3":"xs:string",
"custom4":"xs:string",
},
}
response = requests.request("POST", endpoint, json=payload, headers=headers)
print(response.text)
- Version {{docApp.book.version}}
- Node {{docApp.node}} / {{docApp.build}}